I woke up today and git-svn was broken.

in Odd, it was working last time I used it. Today I got the following error

git svn
IO object version 1.22 does not match bootstrap parameter 1.23 at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/XSLoader.pm line 94.
Compilation failed in require at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/Handle.pm line 263.
BEGIN failed--compilation aborted at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/Handle.pm line 263.
Compilation failed in require at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/Seekable.pm line 101.
BEGIN failed--compilation aborted at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/Seekable.pm line 101.
Compilation failed in require at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/File.pm line 133.
BEGIN failed--compilation aborted at /System/Library/Perl/5.8.8/darwin-thread-multi-2level/IO/File.pm line 133.
Compilation failed in require at /usr/local/libexec/git-core//git-svn line 40.
BEGIN failed--compilation aborted at /usr/local/libexec/git-core//git-svn line 40.

The following blog post http://blog.grogmaster.com/2008/12/notes-about-git-svn-google-code.html seems to reference some kind of git-svn problem on Mac, though whether it is related to the issue that I am having I don't know. I've decided to try to follow the advice there and install through Mac Ports, which involves installing (dmg download available from the site). After that I tried

sudo port install gs-utils

For a laugh. I'm now waiting for all of the mac ports dependancies to load and install. I figure I've got about a 15% chance of this going through without breaking, given the current state of my system. I'm off for a coffee now, I'll check back later and see what happens.